Package ru.bitel.bgbilling.kernel.integration.common.bean

# Class RegistersRow

java.lang.Object
ru.bitel.bgbilling.kernel.integration.common.bean.RegistersRow

    public class RegistersRow
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `RegistersRow()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getCount()` |
  `java.util.Date` | `getDate()` |
  `int` | `getErrorCount()` |
  `int` | `getId()` |
  `java.lang.String` | `getPatternTitle()` |
  `java.lang.String` | `getStatus()` |
  `java.math.BigDecimal` | `getSumma()` |
  `java.lang.String` | `getTitle()` |
  `void` | `setCount​(int count)` |
  `void` | `setDate​(java.util.Date date)` |
  `void` | `setErrorCount​(int errorCount)` |
  `void` | `setId​(int id)` |
  `void` | `setPatternTitle​(java.lang.String patternTitle)` |
  `void` | `setStatus​(java.lang.String status)` |
  `void` | `setSumma​(java.math.BigDecimal summa)` |
  `void` | `setTitle​(java.lang.String title)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RegistersRow

    public RegistersRow()

- ## Method Details

  - ### getId

    public int getId()

  - ### getDate

    public java.util.Date getDate()

  - ### getPatternTitle

    public java.lang.String getPatternTitle()

  - ### getTitle

    public java.lang.String getTitle()

  - ### getStatus

    public java.lang.String getStatus()

  - ### getErrorCount

    public int getErrorCount()

  - ### getCount

    public int getCount()

  - ### getSumma

    public java.math.BigDecimal getSumma()

  - ### setId

    public void setId​(int id)

  - ### setDate

    public void setDate​(java.util.Date date)

  - ### setPatternTitle

    public void setPatternTitle​(java.lang.String patternTitle)

  - ### setTitle

    public void setTitle​(java.lang.String title)

  - ### setStatus

    public void setStatus​(java.lang.String status)

  - ### setErrorCount

    public void setErrorCount​(int errorCount)

  - ### setCount

    public void setCount​(int count)

  - ### setSumma

    public void setSumma​(java.math.BigDecimal summa)